# Uses of Class
org.eclipse.mat.snapshot.DominatorsSummary.ClassDominatorRecord

Packages that use DominatorsSummary.ClassDominatorRecord
Package
Description
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.snapshot
The Snapshot API, a VM independent way of looking at a snapshot of the state of objects in a heap.

## Uses of DominatorsSummary.ClassDominatorRecord in org.eclipse.mat.inspections

Methods in org.eclipse.mat.inspections that return DominatorsSummary.ClassDominatorRecord
Modifier and Type
Method
Description
`DominatorsSummary.ClassDominatorRecord`
ImmediateDominatorsQuery.ResultImpl.`getRow(int rowId)`

## Uses of DominatorsSummary.ClassDominatorRecord in org.eclipse.mat.snapshot

Methods in org.eclipse.mat.snapshot that return DominatorsSummary.ClassDominatorRecord
Modifier and Type
Method
Description
`DominatorsSummary.ClassDominatorRecord[]`
DominatorsSummary.`getClassDominatorRecords()`
Get the dominators summary grouped by classes
Methods in org.eclipse.mat.snapshot that return types with arguments of type DominatorsSummary.ClassDominatorRecord
Modifier and Type
Method
Description
`List<DominatorsSummary.ClassDominatorRecord>`
DominatorsSummary.ClassloaderDominatorRecord.`getRecords()`
Constructors in org.eclipse.mat.snapshot with parameters of type DominatorsSummary.ClassDominatorRecord
Modifier
Constructor
Description
``
`DominatorsSummary(DominatorsSummary.ClassDominatorRecord[] classDominatorRecords, ISnapshot snapshot)`